=== debian/changelog ===
glusterfs (5.2-1) unstable; urgency=high

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Drop liblvm2-dev dependency.
    Closes: #915691

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Dec 2018 12:47:15 +0100
