=== debian/changelog ===
glusterfs (5.3-2) unstable; urgency=medium

  * Move libacl1-dev dependency to libglusterfs-dev package.
    Closes: #919708

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 18 Jan 2019 21:18:13 +0100

glusterfs (5.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add temporary dependency from glusterfs-common on libglusterfs-dev for a
    smooth transition.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 18 Jan 2019 13:03:49 +0100

glusterfs (5.2-2) experimental; urgency=high

  * Split out library packages.
    Closes: #918503
  * Add patch 02-spelling-error.
  * Also reintroduce libglusterfs-dev package. Tools and helpers will stay in
    the glusterfs-common package.
    Closes: #881526

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 Jan 2019 10:18:38 +0100
