## glusterfs 5.5

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -208,7 +208,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.5.3
+GFAPI_VERSION = 7.5.5
 GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I/usr/include/uuid   -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -275,10 +275,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 5.3
+PACKAGE_STRING = glusterfs 5.5
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 5.3
+PACKAGE_VERSION = 5.5
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -326,7 +326,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 5.3
+VERSION = 5.5
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y
