=== debian/changelog ===
glusterfs (5.5-3) unstable; urgency=medium

  * Add upstream patch 05-client-rpc-payload-wire to fix the payload being sent
    on the wire.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 15 Apr 2019 10:07:38 +0200

glusterfs (5.5-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Apr 2019 13:35:07 +0200

glusterfs (5.5-1) experimental; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 25 Mar 2019 10:45:21 +0100

glusterfs (5.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove pycache directory from glusterfs-common.
  * Overwrite lintian warnings for missing false pkg-config references.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 26 Feb 2019 16:11:16 +0100
