## glusterfs 6.3

=== debian/changelog ===
glusterfs (6.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Jul 2019 09:45:33 +0200

glusterfs (6.3-1) experimental; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.
  * Add patch 03-service-pid-file to use /run for pid files.
  * Add new files to /etc/glusterfs/.
  * Add patch 04-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 19 Jun 2019 08:51:41 +0200

glusterfs (6.1-1) experimental; urgency=medium

  * New upstream release.
    - libgfdb has been dropped.
    - Drop merged patch 04-systemd-fixes.
    - Drop merged patch 05-client-rpc-payload-wire.
  * Remove transitional dependency to libglusterfs-dev from glusterfs-common.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Apr 2019 11:34:19 +0200
