## glusterfs 6.4

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -180,11 +180,12 @@
 AUTOHEADER = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoheader
 AUTOMAKE = ${SHELL} /home/jenkins/root/workspace/release-new/missing automake-1.13
 AWK = gawk
-BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python2.7/site-packages
-BUILD_PYTHON_SITE_PACKAGES_EXPANDED = NONE/lib/python2.7/site-packages
+BUILD_GNFS = yes
+BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python3.6/site-packages
+BUILD_PYTHON_SITE_PACKAGES_EXPANDED = NONE/lib/python3.6/site-packages
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
+CFLAGS = -g -O2
 CONTRIBDIR = $(top_srcdir)/contrib
 CPP = gcc -E
 CPPFLAGS = 
@@ -208,9 +209,9 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.5.5
-GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
-GF_CPPFLAGS =  -I/usr/include/uuid   -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
+GFAPI_VERSION = 7.6.4
+GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration
+GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
 GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
 GF_FUSE_LDADD = 
@@ -220,9 +221,6 @@
 GF_NO_UNDEFINED = -Wl,--no-undefined
 GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym $(UUID_LIBS) $(GF_NO_UNDEFINED)
 GF_XLATOR_LDFLAGS = -avoid-version $(UUID_LIBS) $(GF_NO_UNDEFINED)
-GLUPY_SUBDIR = glupy
-GLUPY_SUBDIR_MAKEFILE = xlators/features/glupy/Makefile
-GLUPY_SUBDIR_SRC_MAKEFILE = xlators/features/glupy/src/Makefile
 GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
 GLUSTERD_WORKDIR = /var/lib/glusterd
 GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
@@ -249,7 +247,6 @@
 LIBAIO = -laio
 LIBGFCHANGELOG_LT_VERSION = 0:1:0
 LIBGFCHANGELOG_VERSION = 0.0.1
-LIBGFDB_VERSION = 0.0.1
 LIBGFRPC_LT_VERSION = 0:1:0
 LIBGFXDR_LT_VERSION = 0:1:0
 LIBGLUSTERFS_LT_VERSION = 0:1:0
@@ -275,22 +272,22 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 5.5
+PACKAGE_STRING = glusterfs 6.4
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 5.5
+PACKAGE_VERSION = 6.4
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
-PYTHON = /usr/bin/python2
-PYTHON_CFLAGS = -isystem /usr/include/python2.7
+PYTHON = /usr/bin/python3
+PYTHON_CFLAGS = 
 PYTHON_EXEC_PREFIX = ${exec_prefix}
-PYTHON_LIBS = -lpython2.7  
-PYTHON_PLATFORM = linux2
+PYTHON_LIBS = 
+PYTHON_PLATFORM = linux
 PYTHON_PREFIX = ${prefix}
-PYTHON_VERSION = 2.7
+PYTHON_VERSION = 3.6
 RANLIB = ranlib
 RDMA_SUBDIR = rdma
 RLLIBS = -lreadline -lncurses
@@ -303,8 +300,6 @@
 SIZEOF_LONG = 8
 SIZEOF_LONG_LONG = 8
 SIZEOF_SHORT = 2
-SQLITE_CFLAGS =  
-SQLITE_LIBS = -lsqlite3  
 STRIP = strip
 SYNCDAEMON_COMPILE = 1
 SYNCDAEMON_SUBDIR = geo-replication
@@ -326,7 +321,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 5.5
+VERSION = 6.4
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y
@@ -372,3 +367,15 @@
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
 localstatedir = /var
+mandir = ${datarootdir}/man
+mkdir_p = $(MKDIR_P)
+mountutildir = /sbin
+oldincludedir = /usr/include
+pdfdir = ${docdir}
+pkgconfigdir = ${libdir}/pkgconfig
+pkgpyexecdir = ${pyexecdir}/glusterfs
+pkgpythondir = ${pythondir}/glusterfs
+prefix = /usr/local
+program_transform_name = s,x,x,
+psdir = ${docdir}
+pyexecdir = ${exec_prefix}/lib64/python3.6/site-packages
