=== debian/changelog ===
glusterfs (6.4-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 29 Jul 2019 10:52:51 +0200

glusterfs (6.4-2) unstable; urgency=medium

  * Make a new source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 23 Jul 2019 11:39:19 +0200

glusterfs (6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Jul 2019 11:47:53 +0200
