=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  pkg-config,
  dh-python,
  python3-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client
@@ -77,7 +77,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
- libglusterfs-dev,
  python3-prettytable,
  python3-requests,
  python3-jwt,
@@ -162,27 +161,6 @@
  .
  This package contains libgfchangelog.
 
-Package: libgfdb0
-Architecture: any
-Multi-Arch: same
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Breaks: glusterfs-common (<< 5.2-2)
-Replaces: glusterfs-common (<< 5.2-2)
-Description: GlusterFS libgfdb shared library
- GlusterFS is a clustered file-system capable of scaling to several
- petabytes. It aggregates various storage bricks over Infiniband RDMA
- or TCP/IP interconnect into one large parallel network file
- system. GlusterFS is one of the most sophisticated file system in
- terms of features and extensibility. It borrows a powerful concept
- called Translators from GNU Hurd kernel. Much of the code in GlusterFS
- is in userspace and easily manageable.
- .
- This package contains libgfdb.
-
 Package: libgfrpc0
 Architecture: any
 Multi-Arch: same
@@ -231,7 +209,6 @@
 Depends: ${misc:Depends},
  libgfapi0 (= ${binary:Version}),
  libgfchangelog0 (= ${binary:Version}),
- libgfdb0 (= ${binary:Version}),
  libgfrpc0 (= ${binary:Version}),
  libgfxdr0 (= ${binary:Version}),
  libglusterfs0 (= ${binary:Version}),
