## glusterfs 7.0

=== debian/changelog ===
glusterfs (7.0-2) unstable; urgency=medium

  * Pass -VUpstream-Version to dh_makeshlibs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 08 Nov 2019 10:41:36 +0100

glusterfs (7.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch 04-spelling-errors.
  * Bump Standards-Version to 4.4.1.
  * Bump debian/compat to level 12.
    - Many packaging changes.
    - Switch to dh_installsystemd.
  * Set Rules-Requires-Root to no.
  * Add patch 05-spelling-errors.
  * Adjust lintian overrides.
  * Adjust install files.
  * Add patch 04-service-nofile.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 Oct 2019 15:44:32 +0200
