=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 10.1),
- autotools-dev,
+Build-Depends: debhelper (>= 12),
  libfuse-dev,
  libibverbs-dev,
  libdb-dev,
@@ -26,7 +25,8 @@
  pkg-config,
  dh-python,
  python3-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client
