=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
-	--enable-firewalld
+	--enable-firewalld --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with python3 --with systemd --with autotools-dev
+	dh $@ --with python3
 
 override_dh_install:
 	cp extras/run-gluster.tmpfiles $(CURDIR)/debian/glusterfs-server.tmpfile
@@ -25,18 +25,21 @@
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
 		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/delay-gen.so
 	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
-	dh_install --list-missing
+	dh_install
 	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
 		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid
 	rm -f $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/README.md
 	rm -rf $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gfevents/__pycache__/
 
+override_dh_missing:
+	dh_missing --list-missing
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
 
-override_dh_systemd_enable:
-	dh_systemd_enable --no-enable --name=glusterd
-	dh_systemd_enable --no-enable --name=glustereventsd
+override_dh_installsystemd:
+	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glusterd
+	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glustereventsd
 
 override_dh_link:
 	dh_link
@@ -52,4 +55,4 @@
 	dh_python3
 
 override_dh_makeshlibs:
-	dh_makeshlibs --no-scripts
+	dh_makeshlibs --no-scripts -VUpstream-Version
