## glusterfs 7.1

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -209,9 +209,9 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.6.5
+GFAPI_VERSION = 7.7.1
 GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration
-GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
+GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src -I$(CONTRIBDIR)/userspace-rcu
 GF_DISTRIBUTION = Redhat
 GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
 GF_FUSE_LDADD = 
@@ -272,25 +272,26 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 6.5
+PACKAGE_STRING = glusterfs 7.1
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 6.5
+PACKAGE_VERSION = 7.1
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 PYTHON = /usr/bin/python3
-PYTHON_CFLAGS = 
+PYTHON_CFLAGS = -isystem /usr/include/python3.6m
 PYTHON_EXEC_PREFIX = ${exec_prefix}
-PYTHON_LIBS = 
+PYTHON_LIBS = -lpython3.6m  
 PYTHON_PLATFORM = linux
 PYTHON_PREFIX = ${prefix}
 PYTHON_VERSION = 3.6
 RANLIB = ranlib
 RDMA_SUBDIR = rdma
 RLLIBS = -lreadline -lncurses
+RPCBIND_SERVICE = rpcbind.service
 RPCGEN = yes
 SBIN_DIR = /usr/local/sbin
 SED = /usr/bin/sed
@@ -321,7 +322,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 6.5
+VERSION = 7.1
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y
@@ -375,7 +376,3 @@
 pkgconfigdir = ${libdir}/pkgconfig
 pkgpyexecdir = ${pyexecdir}/glusterfs
 pkgpythondir = ${pythondir}/glusterfs
-prefix = /usr/local
-program_transform_name = s,x,x,
-psdir = ${docdir}
-pyexecdir = ${exec_prefix}/lib64/python3.6/site-packages
